Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Path Class Reference

Experimental and untested: represents a "path" to access a node. More...

`#include <value.h>`

## Public Member Functions
| Path (const std::string &path, const PathArgument &a1=PathArgument(), const PathArgument &a2=PathArgument(), const PathArgument &a3=PathArgument(), const PathArgument &a4=PathArgument(), const PathArgument &a5=PathArgument())
const Value & | resolve (const Value &root) const
Value | resolve (const Value &root, const Value &defaultValue) const
Value & | make (Value &root) const
| Creates the "path" to access the specified node and returns a reference on the node. More...

## Detailed Description

Experimental and untested: represents a "path" to access a node.

Syntax:

- "." => root node
- ".[n]" => elements at index 'n' of root node (an array value)
- ".name" => member named 'name' of root node (an object value)
- ".name1.name2.name3"
- ".[0][1][2].name1[3]"
- ".%" => member name is provided as parameter
- ".[%]" => index is provied as parameter

## Constructor & Destructor Documentation

Path | ( | const std::string & | path,
|  | const PathArgument & | a1 = `PathArgument()`,
|  | const PathArgument & | a2 = `PathArgument()`,
|  | const PathArgument & | a3 = `PathArgument()`,
|  | const PathArgument & | a4 = `PathArgument()`,
|  | const PathArgument & | a5 = `PathArgument()`
| ) |  |

## Member Function Documentation

Value & make | ( | Value & | root | ) | const

Creates the "path" to access the specified node and returns a reference on the node.

const Value & resolve | ( | const Value & | root | ) | const

Value resolve | ( | const Value & | root,
|  | const Value & | defaultValue
| ) |  | const

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/jsoncpp/include/json/value.h
- persistence/rapidjson/thirdparty/jsoncpp/src/lib_json/json_value.cpp